diff -Nur tmp1/soci.m4.in tmp2/soci.m4.in
--- tmp1/soci.m4.in	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/soci.m4.in	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,124 @@
+#
+# Configure path for the @PACKAGE_NAME@ library.
+# Denis Arnaud <denis_arnaud@users.sourceforge.net>, July 2008
+#
+# Note: as the @PACKAGE_NAME@ library depends upon GSL (and
+# potentially BOOST) to build. Your configure.ac must define
+# appropriately the GSL_CFLAGS (and potentially BOOST_CFLAGS)
+# variables.
+#
+
+
+AC_DEFUN([AM_PATH_@PACKAGE_NAME@],
+[
+AC_LANG_SAVE
+AC_LANG([C++])
+
+AC_ARG_WITH(@PACKAGE@,
+	[ --with-@PACKAGE@=PFX   Prefix where @PACKAGE_NAME@ is installed (optional)],
+    @PACKAGE@_dir="$withval",
+	@PACKAGE@_dir="")
+
+  if test "x${@PACKAGE_NAME@_CONFIG+set}" != xset ; then
+     if test "x$@PACKAGE@_dir" != x ; then
+         @PACKAGE_NAME@_CONFIG="$@PACKAGE@_dir/bin/@PACKAGE@-config"
+     fi
+  fi
+
+  AC_PATH_PROG(@PACKAGE_NAME@_CONFIG, @PACKAGE@-config, no)
+
+  # Check whether Boost flags and libraries are defined
+  AC_MSG_CHECKING(for GSL_CFLAGS environment variable)
+  if test x"${GSL_CFLAGS}" = x; then
+	AC_MSG_RESULT([Warning: @PACKAGE_NAME@ needs the GSL, and the GSL_CFLAGS environment variable does not appear to be set. It may not be a problem, though, if your Unix distribution is standard, that is, if GSL is installed in /usr/local. Otherwise, the @PACKAGE_NAME@ will fail to compile.])
+	else
+	AC_MSG_RESULT([ok (set to ${GSL_CFLAGS})])
+  fi
+
+  AC_MSG_CHECKING(for GSL_LIBS environment variable)
+  if test x"${GSL_LIBS}" = x; then
+	AC_MSG_RESULT([Warning: @PACKAGE_NAME@ needs the GSL library, and the GSL_LIBS environment variable does not appears to be set. The @PACKAGE_NAME@ may fail to link.])
+	else
+	AC_MSG_RESULT([ok (set to ${GSL_LIBS})])
+  fi
+
+  # Check whether Boost flags and libraries are defined
+#  AC_MSG_CHECKING(for BOOST_CFLAGS environment variable)
+#  if test x"${BOOST_CFLAGS}" = x; then
+#	AC_MSG_RESULT([Warning: @PACKAGE_NAME@ needs Boost, and the BOOST_CFLAGS environment variable does not appear to be set. It may not be a problem, though, if your Unix distribution is standard, that is, if Boost is installed in /usr/local. Otherwise, the @PACKAGE_NAME@ will fail to compile.])
+#	else
+#	AC_MSG_RESULT([ok (set to ${BOOST_CFLAGS})])
+#  fi
+
+#  AC_MSG_CHECKING(for BOOST_DATE_TIME_LIB environment variable)
+#  if test x"${BOOST_DATE_TIME_LIB}" = x; then
+#	AC_MSG_RESULT([Warning: @PACKAGE_NAME@ needs Boost Date-Time library, and the BOOST_DATE_TIME_LIB environment variable does not appears to be set. The @PACKAGE_NAME@ may fail to link.])
+#	else
+#	AC_MSG_RESULT([ok (set to ${BOOST_DATE_TIME_LIB})])
+#  fi
+
+  min_@PACKAGE@_version=ifelse([$1], ,0.11.0,$1)
+  AC_MSG_CHECKING(for @PACKAGE_NAME@ - version >= $min_@PACKAGE@_version)
+  no_@PACKAGE@=""
+  if test "${@PACKAGE_NAME@_CONFIG}" = "no" ; then
+    no_@PACKAGE@=yes
+	AC_MSG_RESULT([no])
+  else
+	@PACKAGE_NAME@_VERSION=`${@PACKAGE_NAME@_CONFIG} --version`
+    @PACKAGE_NAME@_CFLAGS=`${@PACKAGE_NAME@_CONFIG} --cflags`
+    @PACKAGE_NAME@_CFLAGS="${GSL_CFLAGS} ${@PACKAGE_NAME@_CFLAGS}"
+#    @PACKAGE_NAME@_CFLAGS="${BOOST_CFLAGS} ${@PACKAGE_NAME@_CFLAGS}"
+    @PACKAGE_NAME@_LIBS=`${@PACKAGE_NAME@_CONFIG} --libs`
+    @PACKAGE_NAME@_LIBS="${GSL_LIBS} ${@PACKAGE_NAME@_LIBS}"
+#    @PACKAGE_NAME@_LIBS="${BOOST_LIBS} ${BOOST_DATE_TIME_LIB} ${@PACKAGE_NAME@_LIBS}"
+
+	AC_SUBST([@PACKAGE_NAME@_VERSION])
+	AC_SUBST([@PACKAGE_NAME@_CFLAGS])
+	AC_SUBST([@PACKAGE_NAME@_LIBS])
+
+    @PACKAGE@_major_version=`echo ${@PACKAGE_NAME@_VERSION} | sed 's/^\([[0-9]]*\).*/\1/'`
+    if test "x${@PACKAGE@_major_version}" = "x" ; then
+       @PACKAGE@_major_version=0
+    fi
+
+    @PACKAGE@_minor_version=`echo ${@PACKAGE_NAME@_VERSION} | \
+						sed 's/^\([[0-9]]*\)\.\{0,1\}\([[0-9]]*\).*/\2/'`
+    if test "x${@PACKAGE@_minor_version}" = "x" ; then
+       @PACKAGE@_minor_version=0
+    fi
+
+    @PACKAGE@_micro_version=`echo ${@PACKAGE_NAME@_VERSION} | \
+          sed 's/^\([[0-9]]*\)\.\{0,1\}\([[0-9]]*\)\.\{0,1\}\([[0-9]]*\).*/\3/'`
+    if test "x${@PACKAGE@_micro_version}" = "x" ; then
+       @PACKAGE@_micro_version=0
+    fi
+
+
+	SAVED_CPPFLAGS="${CPPFLAGS}"
+	SAVED_LDFLAGS="${LDFLAGS}"
+	CPPFLAGS="${CPPFLAGS} ${GSL_CFLAGS} ${BOOST_CFLAGS} ${@PACKAGE_NAME@_CFLAGS}"
+	LDFLAGS="${LDFLAGS} ${GSL_LIBS} ${@PACKAGE_NAME@_LIBS}"
+
+
+   	AC_COMPILE_IFELSE(
+		AC_LANG_PROGRAM([[
+				#include <@PACKAGE@/@PACKAGE_NAME@_Service.hpp> 
+				]],
+				[[int i=0;]]
+		)
+		,
+
+    	[AC_MSG_RESULT([yes (${@PACKAGE_NAME@_VERSION})])],
+
+		[
+		AC_MSG_ERROR([We could not compile a simple @PACKAGE_NAME@ example. See config.log.])
+		]
+	)
+
+	CPPFLAGS="${SAVED_CPPFLAGS}"
+	LDFLAGS="${SAVED_LDFLAGS}"
+
+  fi
+
+AC_LANG_RESTORE
+])
diff -Nur tmp1/soci.pc.in tmp2/soci.pc.in
--- tmp1/soci.pc.in	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/soci.pc.in	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: The database access library for C++ programmers
+Version: @PACKAGE_VERSION@
+URL: http://@PACKAGE@.sourceforge.net
+Libs: -L${libdir} -l@PACKAGE@_core @LDFLAGS@ @LIBS@
+Cflags: -I${includedir}
diff -Nur tmp1/soci.spec.in tmp2/soci.spec.in
--- tmp1/soci.spec.in	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/soci.spec.in	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,439 @@
+##
+# HTML documentation
+%define mydocs __tmp_docdir
+#
+##
+# Default values are --without-empty --with-mysql --with-postgresql 
+#                    --without-sqlite3 --without-oracle
+#                    --with-nls
+# Note that, for Oracle, when enabled, the following options should
+# also be given:
+# --with-oracle-include=/opt/oracle/app/oracle/product/11.1.0/db_1/rdbms/public
+# --with-oracle-lib=/opt/oracle/app/oracle/product/11.1.0/db_1/lib
+# If the macros are defined, redefine them with the correct compilation flags.
+%{?_with_empty: %define _with_empty --enable-backend-empty}
+%{?_without_empty: %define _without_empty --disable-backend-empty}
+%{?_with_mysql: %define _with_mysql --enable-backend-mysql}
+%{?_without_mysql: %define _without_mysql --disable-backend-mysql}
+%{?_with_postgresql: %define _with_postgresql --enable-backend-postgresql}
+%{?_without_postgresql: %define _without_postgresql --disable-backend-postgresql}
+%{?_with_sqlite: %define _with_sqlite --enable-backend-sqlite3}
+%{?_without_sqlite: %define _without_sqlite --disable-backend-sqlite3}
+%{?_with_oracle: %define _with_oracle --enable-backend-oracle}
+%{?_without_oracle: %define _without_oracle --disable-backend-oracle}
+%{?_with_nls: %define _with_nls --enable-nls}
+%{?_without_nls: %define _without_nls --disable-nls}
+%define _default_oracle_dir /opt/oracle/app/oracle/product/11.1.0/db_1
+%{!?_with_oracle_incdir: %define _with_oracle_incdir --with-oracle-include=%{_default_oracle_dir}/rdbms/public}
+%{!?_with_oracle_libdir: %define _with_oracle_libdir --with-oracle-lib=%{_default_oracle_dir}/lib}
+#
+# If neither macro exist, add the default definition.
+%{!?_without_empty: %{!?_with_empty: %define _without_empty --disable-backend-empty}}
+%{!?_with_mysql: %{!?_without_mysql: %define _with_mysql --enable-backend-mysql}}
+%{!?_with_postgresql: %{!?_without_postgresql: %define _with_postgresql --enable-backend-postgresql}}
+%{!?_without_sqlite: %{!?_with_sqlite: %define _without_sqlite --disable-backend-sqlite3}}
+%{!?_without_oracle: %{!?_with_oracle: %define _without_oracle --disable-backend-oracle}}
+%{!?_without_nls: %{!?_with_nls: %define _without_nls --disable-nls}}
+#
+# If both mutually exclusive macros are specified, return an error.
+%{?_with_empty: %{?_without_empty: %{error: both _with_empty and _without_empty}}}
+%{?_with_mysql: %{?_without_mysql: %{error: both _with_mysql and _without_mysql}}}
+%{?_with_postgresql: %{?_without_postgresql: %{error: both _with_postgresql and _without_postgresql}}}
+%{?_with_sqlite: %{?_without_sqlite: %{error: both _with_sqlite and _without_sqlite}}}
+%{?_with_oracle: %{?_without_oracle: %{error: both _with_oracle and _without_oracle}}}
+%{?_with_nls: %{?_without_nls: %{error: both _with_nls and _without_nls}}}
+#
+##
+#
+Name:           @PACKAGE@
+Version:        @VERSION@
+Release:        @RPM_RELEASE@%{?dist}
+
+Summary:        The database access library for C++ programmers
+
+Group:          System Environment/Libraries
+License:        Boost
+URL:            http://%{name}.sourceforge.net
+Source0:        http://downloads.sourceforge.net/soci/%{name}-%{version}.tar.gz
+# SourceForge logo, for HTML documentation
+Source1:        sfx_logo.png
+# That patch will be submitted upstream
+Patch0:         %{name}-%{version}-fix-gcc43-compatibility.patch
+# That patch will be submitted upstream
+Patch1:         %{name}-%{version}-fix-gnu-autotools-compatibility.patch
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildRequires:  boost-devel >= 1.34
+BuildRequires:  cppunit-devel >= 1.10
+BuildRequires:  libtool
+#Requires:       
+
+%description
+@PACKAGE_NAME@ is a C++ database access library that provides the
+illusion of embedding SQL in regular C++ code, staying entirely within
+the C++ standard.
+
+That (RPM) package is based on a fork, from the source code base
+corresponding to version 3.0.0 of the @PACKAGE_NAME@ code. That fork,
+hosted by the OpenTREP project
+(http://sourceforge.net/projects/opentrep), which itself relies on the
+SOCI library, brings only changes in the building process: it does not
+alter the code (except for compatibility with g++ from version 4.3
+onwards), and keeps a full compatibility with the genuine SOCI
+tar-ball delivered on the SOCI web site
+(http://%{name}.sourceforge.net).
+
+That RPM package will keep synchronised with future releases of the
+SOCI library, if any.
+
+
+%{?_with_empty:%package        empty
+Summary:        Empty backend for %{name}
+Group:          System Environment/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description    empty
+This package contains the Empty3 backend for @PACKAGE_NAME@, i.e.,
+dynamic library specific to the Empty database. If you would like to
+use @PACKAGE_NAME@ in your programs with Empty, you will need to
+install %{name}-empty.}
+
+%{?_with_mysql:%package        mysql
+Summary:        MySQL backend for %{name}
+Group:          System Environment/Libraries
+Requires:       %{name} = %{version}-%{release}
+BuildRequires:  mysql-devel >= 5.0
+
+%description    mysql
+This package contains the MySQL backend for @PACKAGE_NAME@, i.e.,
+dynamic library specific to the MySQL database. If you would like to
+use @PACKAGE_NAME@ in your programs with MySQL, you will need to
+install %{name}-mysql.}
+
+%{?_with_postgresql:%package        postgresql
+Summary:        PostGreSQL backend for %{name}
+Group:          System Environment/Libraries
+Requires:       %{name} = %{version}-%{release}
+BuildRequires:  postgresql-devel >= 7.1
+
+%description    postgresql
+This package contains the PostGreSQL backend for @PACKAGE_NAME@, i.e.,
+dynamic library specific to the PostGreSQL database. If you would like
+to use @PACKAGE_NAME@ in your programs with PostGreSQL, you will need to
+install %{name}-postgresql.}
+
+%{?_with_sqlite:%package        sqlite
+Summary:        SQLite3 backend for %{name}
+Group:          System Environment/Libraries
+Requires:       %{name} = %{version}-%{release}
+BuildRequires:  sqlite-devel >= 3.0
+
+%description    sqlite
+This package contains the SQLite3 backend for @PACKAGE_NAME@, i.e.,
+dynamic library specific to the SQLite3 database. If you would like to
+use @PACKAGE_NAME@ in your programs with SQLite3, you will need to
+install %{name}-sqlite.}
+
+%{?_with_oracle:%package        oracle
+Summary:        Oracle backend for %{name}
+Group:          System Environment/Libraries
+Requires:       %{name} = %{version}-%{release}
+
+%description    oracle
+This package contains the Oracle backend for @PACKAGE_NAME@, i.e.,
+dynamic library specific to the Oracle database. If you would like to
+use @PACKAGE_NAME@ in your programs with Oracle, you will need to install
+%{name}-oracle.}
+
+
+%package        devel
+Summary:        Header files, libraries and development documentation for %{name}
+Group:          Development/Libraries
+Requires:       %{name} = %{version}-%{release}
+Requires:       pkgconfig
+
+%description    devel
+This package contains the header files, dynamic libraries and
+development documentation for %{name}. If you would like to develop
+programs using %{name}, you will need to install %{name}-devel.
+
+%{?_with_empty:%package        empty-devel
+Summary:        Empty backend for %{name}
+Group:          Development/Libraries
+Requires:       %{name}-devel = %{version}-%{release}
+Requires:       %{name}-empty = %{version}-%{release}
+
+%description    empty-devel
+This package contains the Empty backend for %{name}, i.e., header
+files and dynamic libraries specific to the Empty database. If you
+would like to develop programs using %{name} and Empty, you will need
+to install %{name}-empty.}
+
+%{?_with_mysql:%package        mysql-devel
+Summary:        MySQL backend for %{name}
+Group:          Development/Libraries
+Requires:       %{name}-devel = %{version}-%{release}
+Requires:       %{name}-mysql = %{version}-%{release}
+Requires:       mysql-devel >= 5.0
+
+%description    mysql-devel
+This package contains the MySQL backend for %{name}, i.e., header
+files and dynamic libraries specific to the MySQL database. If you
+would like to develop programs using %{name} and MySQL, you will need
+to install %{name}-mysql.}
+
+%{?_with_postgresql:%package        postgresql-devel
+Summary:        PostGreSQL backend for %{name}
+Group:          Development/Libraries
+Requires:       %{name}-devel = %{version}-%{release}
+Requires:       %{name}-postgresql = %{version}-%{release}
+Requires:       postgresql-devel >= 7.1
+
+%description    postgresql-devel
+This package contains the PostGreSQL backend for %{name}, i.e., header
+files and dynamic libraries specific to the PostGreSQL database. If
+you would like to develop programs using %{name} and PostGreSQL, you
+will need to install %{name}-postgresql.}
+
+%{?_with_sqlite:%package        sqlite-devel
+Summary:        SQLite3 backend for %{name}
+Group:          Development/Libraries
+Requires:       %{name}-devel = %{version}-%{release}
+Requires:       %{name}-sqlite = %{version}-%{release}
+Requires:       sqlite-devel >= 3.0
+
+%description    sqlite-devel
+This package contains the SQLite3 backend for %{name}, i.e., header
+files and dynamic libraries specific to the SQLite3 database. If you
+would like to develop programs using %{name} and SQLite3, you will need
+to install %{name}-sqlite.}
+
+%{?_with_oracle:%package        oracle-devel
+Summary:        Oracle backend for %{name}
+Group:          Development/Libraries
+Requires:       %{name}-devel = %{version}-%{release}
+Requires:       %{name}-oracle = %{version}-%{release}
+
+%description    oracle-devel
+This package contains the Oracle backend for %{name}, i.e., header
+files and dynamic libraries specific to the Oracle database. If you
+would like to develop programs using %{name} and Oracle, you will need
+to install %{name}-oracle.}
+
+
+%package doc
+Summary:        HTML documentation for the @PACKAGE_NAME@ library
+Group:          Documentation
+BuildArch:      noarch
+BuildRequires:  doxygen, texlive-latex, texlive-dvips, ghostscript
+
+%description doc
+This package contains the documentation in the HTML format of the @PACKAGE_NAME@
+library. The documentation is the same as at the @PACKAGE_NAME@ web page.
+
+
+%prep
+%setup -q
+# Rename change-log and license file, so that they comply with
+# packaging standard
+mv CHANGES ChangeLog
+mv LICENSE_1_0.txt COPYING
+rm -f INSTALL
+# Adapt the directory structure of the HTML documentation, so that it
+# can be generated with Doxygen (that adaptation should eventually
+# find its way to upstream, rather than inside the RPM specification
+# file, though).
+cd doc
+mkdir -p images styles local
+mv backends local
+mv style.css styles
+mv structure.png images
+mv index.html local/index.doc.in
+for docname in backends basics beyond boost errors exchange interfaces multithreading rationale reference statements structure
+do
+        mv ${docname}.html local/${docname}.doc
+done
+cd ..
+cp %{SOURCE1} doc/images
+# Apply the g++ 4.3 compatibility patch
+%patch0 -p1
+# Remove MacOSX compatibility building files
+rm -f build/unix/._*.tcl
+rm -f ._Makefile ._configure
+rm -f soci/core/._*.h soci/core/._*.cpp
+rm -f soci/backends/postgresql/._*.h
+rm -f doc/._*.html
+# Rename the source code directory, so that the files (e.g, header
+# files) can be exported correctly into {_standard_dir}/%{name}
+mv src %{name}
+# Apply the GNU Autotools compatibility patch
+%patch1 -p1
+# find ./doc -type f -perm 755 -exec chmod 644 {} \;
+# Fix some permissions and formats
+chmod -x AUTHORS ChangeLog COPYING NEWS README
+# find . -type f -name '*.[hc]pp' -exec chmod 644 {} \;
+
+
+%build
+%configure --disable-static \
+%{?_with_mysql} %{?_without_mysql} \
+%{?_with_postgresql} %{?_without_postgresql} \
+%{?_with_sqlite} %{?_without_sqlite} \
+%{?_with_oracle:%{?_with_oracle} %{?_with_oracle_incdir} %{?_with_oracle_libdir}} \
+%{?_without_oracle}
+make %{?_smp_mflags}
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make install DESTDIR=$RPM_BUILD_ROOT
+%{?_with_nls:%find_lang %{name}}
+##
+#  Remove unpackaged files from the buildroot
+rm -f $RPM_BUILD_ROOT%{_includedir}/%{name}/config.h
+rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.la
+##
+#  Move the HTML documentation out of the way
+# chmod 644 doc/html/installdox doc/html/*.png doc/html/*.ico
+rm -rf %{mydocs} && mkdir -p %{mydocs}
+mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{mydocs}
+##
+#  Duplicate the header files, so as to keep the compatibility, for
+#  developers using the SOCI library, with the non-packaged version of
+#  that library.
+for header_file in $RPM_BUILD_ROOT%{_includedir}/%{name}/core/*.h; do
+  cp ${header_file} $RPM_BUILD_ROOT%{_includedir}/%{name}
+done
+%{?_with_empty:cp $RPM_BUILD_ROOT%{_includedir}/%{name}/backends/empty/soci-empty.h $RPM_BUILD_ROOT%{_includedir}/%{name}}
+%{?_with_mysql:cp $RPM_BUILD_ROOT%{_includedir}/%{name}/backends/mysql/soci-mysql.h $RPM_BUILD_ROOT%{_includedir}/%{name}}
+%{?_with_postgresql:cp $RPM_BUILD_ROOT%{_includedir}/%{name}/backends/postgresql/soci-postgresql.h $RPM_BUILD_ROOT%{_includedir}/%{name}}
+%{?_with_sqlite:cp $RPM_BUILD_ROOT%{_includedir}/%{name}/backends/sqlite3/soci-sqlite3.h $RPM_BUILD_ROOT%{_includedir}/%{name}}
+%{?_with_oracle:cp $RPM_BUILD_ROOT%{_includedir}/%{name}/backends/oracle/soci-oracle.h $RPM_BUILD_ROOT%{_includedir}/%{name}}
+
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%post -p /sbin/ldconfig
+
+%postun -p /sbin/ldconfig
+
+%{?_with_empty:%post empty -p /sbin/ldconfig
+
+%postun empty -p /sbin/ldconfig}
+
+%{?_with_mysql:%post mysql -p /sbin/ldconfig
+
+%postun mysql -p /sbin/ldconfig}
+
+%{?_with_postgresql:%post postgresql -p /sbin/ldconfig
+
+%postun postgresql -p /sbin/ldconfig}
+
+%{?_with_sqlite:%post sqlite -p /sbin/ldconfig
+
+%postun sqlite -p /sbin/ldconfig}
+
+%{?_with_oracle:%post oracle -p /sbin/ldconfig
+
+%postun oracle -p /sbin/ldconfig}
+
+
+
+%{?_with_nls:%files -f %{name}.lang}
+%{?_without_nls:%files}
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_core.so.*
+
+%{?_with_empty:%files empty
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_empty.so.*}
+
+%{?_with_mysql:%files mysql
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_mysql.so.*}
+
+%{?_with_postgresql:%files postgresql
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_postgresql.so.*}
+
+%{?_with_sqlite:%files sqlite
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_sqlite3.so.*}
+
+%{?_with_oracle:%files oracle
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%{_libdir}/lib%{name}_oracle.so.*}
+
+
+%files devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/*.h
+%{_includedir}/%{name}/core
+%{_bindir}/%{name}-config
+%{_libdir}/lib%{name}_core.so
+%{_libdir}/pkgconfig/%{name}.pc
+%{_datadir}/aclocal/%{name}.m4
+%{_mandir}/man1/%{name}-config.1.*
+
+%{?_with_empty:%files empty-devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/backends/empty
+%{_libdir}/lib%{name}_empty.so}
+
+%{?_with_mysql:%files mysql-devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/backends/mysql
+%{_libdir}/lib%{name}_mysql.so}
+
+%{?_with_postgresql:%files postgresql-devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/backends/postgresql
+%{_libdir}/lib%{name}_postgresql.so}
+
+%{?_with_sqlite:%files sqlite-devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/backends/sqlite3
+%{_libdir}/lib%{name}_sqlite3.so}
+
+%{?_with_oracle:%files oracle-devel
+%defattr(-,root,root,-)
+%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README
+%dir %{_includedir}/%{name}
+%{_includedir}/%{name}/backends/oracle
+%{_libdir}/lib%{name}_oracle.so}
+
+
+%files doc
+%defattr(-,root,root,-)
+%doc %{mydocs}/html
+%doc AUTHORS ChangeLog COPYING NEWS README
+
+
+%changelog
+* Sat Apr 18 2009 Denis Arnaud <denis.arnaud_fedora@m4x.org> 3.0.0-4
+- Fixed an issue about OPTFLAGS compilation
+
+* Tue Apr 14 2009 Denis Arnaud <denis.arnaud_fedora@m4x.org> 3.0.0-3
+- Restarted from pristine version 3.0.0 of upstream (SOCI) project
+
+* Sat Apr  4 2009 Denis Arnaud <denis.arnaud_fedora@m4x.org> 3.0.0-2
+- Specific RPM for each backend
+
+* Fri Mar 27 2009 Denis Arnaud <denis.arnaud_fedora@m4x.org> 3.0.0-1
+- First RPM release
